# My CV
I created this website to collect and present all my experiences and works. I made these pages using Typescript and Svelte. To manage the content, I've created a simple system to load content from a couple of JSON files that define where to put the information.

## How to build

To build this project, you need to run two commands on a machine with Node.js

 - ```npm install```
 - ```npm run build```

then you can load the built website on a webserver

## How to edit the content

I've defined the content structure through a JSON schema that you can find in /src/model/schema.json.
There are three files (portfolio.json, schema.json, training.json) that define the content of the associated section.
Svelte support HMR to speed up the development.
To run the development server:
  - ```npm install```
  - ```npm run dev```

Then you can visit the development site on http://localhost:3000 when a file is edited the server re-renders the page that you are visiting.